.header {
    position: fixed;
    z-index: 10;
    top: 0;
    left: 0;

    display: flex;
    justify-content: flex-start;
    height: 60px;
    width: 100%;
    align-items: center;

    background-color: black;
    color: white;

    box-shadow: 0px 2px 10px rgba(255, 255, 255, 0.322);

    transition: 0.3s;
}

.header-logo {
    width: 200px;
    font-size: x-large;
}

.header-search {
    display: flex;
    flex-direction: row;
    align-items: center;
    justify-content: flex-start;

    width: 500px;
    margin-right: auto;
    text-align: start;
}

.header-search > form {
    margin-left: 10px;
}

.header-search > span {
    margin-left: 15px;
    cursor: pointer;
}

.header-profile {
    width: 200px;
    height: 100%;
    display: flex;
    justify-content: right;
}

.header-caret {
    margin-left: auto;
    margin-right: 5px;
}

.header-username {
    margin-left: 5px;
    margin-right: 5px;
}

.header-picture {
    margin-left: 5px;
    margin-right: auto;
}

.dropdown {
    height: 100%;
    position: relative;
    display: inline-block;
    cursor: pointer;
}

.dropdown .header-profile {
    align-items: center;
}

.dropdown-content {
    display: block;
    position: absolute;
    background-color: black;
    color: white;
    min-width: 160px;
    box-shadow: 0px 2px 10px rgba(255, 255, 255, 0.322);
    z-index: 1;
    right: 0;
    width: 200px;
}

.dropdown-content div {
    background-color: black;
    color: white;
    padding: 12px 16px;
    text-decoration: none;
    display: block;
}

.dropdown-content a {
    margin: 0px;
}

.dropdown-content div:hover {
    background-color: rgb(15, 15, 15);
}

.nav-link {
    margin-right: 5px;
}

.link-space {
    margin-right: 15px;
}

.search-songs {
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    margin-top: 0;
    width: 100%;
}